{
  
  TFile* f1 = TFile::Open("ChainExample_1.root", "RECREATE");
  //construct the TTree
  TTree * t1 = new TTree("myTree", "myTree");
  
  //have some variables that will be read from the TTree
  double x = 0, y = 0, z = 0;
  t1->Branch("x",&x,"x/D");
  t1->Branch("y",&y,"y/D");
  t1->Branch("z",&z,"z/D");

  TRandom3 * rand = new TRandom3(123);
  
  for (unsigned int iEntry=0; iEntry < 100000; iEntry++) {

    x=rand->Gaus(1,10);
    y=rand->Gaus(2,3);
    z=rand->Gaus(4,5);
    t1->Fill();
    
  }
  
  t1->Write();
}