{

TH1F *h1= new TH1F("h1", "h1", 100, -5,5);
h1->FillRandom("gaus",10000);
h1->SetMarkerColor(kFullSquare);

TH1F *h2= new TH1F("h2", "h2", 100, -5,5);
h2->FillRandom("expo",10000);
h2->SetLineColor(kRed);
h2->SetMarkerColor(kCircle);

THStack *hStack = new THStack();
hStack.Add(h1);
hStack.Add(h2);

hStack.Draw("A");
hStack.GetXaxis().SetTitle("my units");
hStack.Draw("nostack");

//constructor takes normalized coordinates within the pad
//with x=0, y=0 being the bottom left corner
TLegend *l = new TLegend(0.2, 0.6, 0.6, 0.8);
//let's make the legend background white
l.SetFillColor(kWhite);
//arguments: pointer to histogram, text, options: draw line (L)
l.AddEntry(h1, "The first histogram", "L");
l.AddEntry(h2, "The second histogram", "L");
l.Draw("same");

}